php7.0与Mysql5.7的连接使用

  • 内容
  • 评论
  • 相关

我这个博客用的是linuxeye制作的lnmp安装脚本搭建的,因为用于个人折腾不用于生产环境,所以打算折腾一下,于是配了个php7与mysql5.7的环境,还启用了https协议,但是因为这个腾讯云的VPS配置太低,无法成功编译mysql,于是我只能用官方的deb包直接安装二进制文件,但是安装完成之后,发现php一直无法连接mysql,研究了半天发现是php_mysqli扩展的配置问题,使用deb安装的mysql5.7社区版的sock链接默认为/var/run/mysqld/mysqld.sock,所以需要修改php.ini:

mysqli.default_socket = /var/run/mysqld/mysqld.sock

然后重启php-fpm服务即可。